> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List executions for a sandbox

> Last 50 execution records for the sandbox, without stdout/stderr bodies

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  Sandbox identifier
</ParamField>

### Response

`object`

<ResponseField name="executions" type="object[]" required>
  <Expandable title="executions">
    <ResponseField name="execution_id" type="string" required />

    <ResponseField name="sandbox_id" type="string (uuid)" required />

    <ResponseField name="command" type="string[]" required />

    <ResponseField name="status" type="string" required />

    <ResponseField name="exit_code" type="integer" />

    <ResponseField name="output_truncated" type="boolean" required />

    <ResponseField name="duration_ms" type="integer" />

    <ResponseField name="started_at" type="string (date-time)" required />

    <ResponseField name="completed_at" type="string (date-time)" />

    <ResponseField name="error_message" type="string" />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning                                                                 |
| ----- | ----------------------------------------------------------------------- |
| `200` | Last 50 execution records for the sandbox, without stdout/stderr bodies |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/executions' \
    --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "executions": [
      {
        "execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "command": [],
        "status": "running",
        "exit_code": 1,
        "output_truncated": true,
        "duration_ms": 8,
        "started_at": "2026-08-31T14:22:05Z",
        "completed_at": "2026-08-31T14:22:05Z",
        "error_message": "string"
      }
    ]
  }
  ```
</ResponseExample>
